## ciso 1.0.0

=== Makefile ===
DESTDIR     = 
prefix      = /usr
USRBINDIR   = $(DESTDIR)$(prefix)/bin

CC = $(CROSS_COMPILE)gcc
LD = $(CROSS_COMPILE)gcc
INSTALL = install

all : ciso
ciso : ciso.o
	gcc -o ciso ciso.o -lz

ciso.o : ciso.c
	gcc -o ciso.o -c ciso.c

install :
	$(INSTALL) -m 755 ciso $(USRBINDIR)/ciso

clean:
	rm -rf *.o

=== debian/changelog ===
ciso (1.0.0-0ubuntu5) jammy; urgency=medium

  * Move away from dpatch
  * Convert to modern debhelper 13.
  * Patch the build system to be more sane

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Mar 2022 17:29:09 +0100

ciso (1.0.0-0ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:59 +0000

ciso (1.0.0-0ubuntu2) jaunty; urgency=low

  * Resolution of memory allocation failure on amd64 which caused unusable
    ciso files to be created (LP: #163308) 

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Dec 2008 20:58:34 -0800

ciso (1.0.0-0ubuntu1) feisty; urgency=low

  * Initial release

 -- Gaëtan Petit <tenshu@gmail.com>  Mon, 30 Oct 2006 22:07:57 +0100

=== debian/control ===
Source: ciso
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gaëtan Petit <tenshu@gmail.com>
Build-Depends: debhelper-compat (= 13), zlib1g-dev
Standards-Version: 4.6.0

Package: ciso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool to convert Sony PSP iso to ciso
 A simple tool to convert your Sony PSP isos
 from your backuped games to cso files.
 .
 Originally coded by Booster.
 Homepage: http://ciso.tenshu.fr/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

## ciso 1.0.2

=== debian/changelog ===
ciso (1.0.2-3) unstable; urgency=medium

  * Bump standards version to 4.7.2.
  * d/control: Add Vcs fields.

 -- Alex Myczko <tar@debian.org>  Fri, 07 Nov 2025 10:19:53 +0100

ciso (1.0.2-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 17:27:54 +0000

ciso (1.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Dropped 01_mem_alloc_failure_amd64.patch, upstream code no longer needs
      it.
  * Created debian/watch file.
  * Fixed dep3 header on usage-syntax patch.
  * Added `Rules-Requires-Root: no` to debian/control.
  * Created debian/upstream/metadata file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 27 Dec 2023 22:15:14 +0000

ciso (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1028055)

 -- Gürkan Myczko <tar@debian.org>  Sat, 04 Mar 2023 15:46:20 +0100

=== debian/control ===
Source: ciso
Section: utils
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Uploaders: Aaron Rainbolt <arraybolt3@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://github.com/jamie/ciso
Vcs-Browser: https://salsa.debian.org/debian/ciso
Vcs-Git: https://salsa.debian.org/debian/ciso.git
Rules-Requires-Root: no

Package: ciso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool to convert Sony PSP iso to ciso
 A simple tool to convert your Sony PSP isos from your backuped games to cso
 files.

=== debian/watch ===
version=4
opts="searchmode=plain, \
filenamemangle=s/.*(v@ANY_VERSION@)/ciso-$1.tar.gz/" \
  https://api.github.com/repos/jamie/@PACKAGE@/releases https:\/\/api.github.com\/repos\/jamie\/@PACKAGE@\/tarball\/v@ANY_VERSION@
